CMSIS-Core (Cortex-M): ARM_MPU_Region_t Struct Reference

| CMSIS-Core (Cortex-M) Version 5.4.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
ARM_MPU_Region_t Struct Reference
MPU Functions for Armv6-M/v7-M | MPU Functions for Armv8-M

Setup information of a single MPU Region. More...

## Data Fields

uint32_t | RBAR
| The region base address register value (RBAR) More...
uint32_t | RASR
| The region attribute and size register value (RASR), see ARM_MPU_RASR. More...
uint32_t | RLAR

## Description

Setup information of a single MPU Region.

The typedef ARM_MPU_Region_t allows to define a MPU table (array of MPU regions) with pre-compiled register values. Such tables enable efficient MPU setup using the function ARM_MPU_Load.

Example: See ARM_MPU_Load

Struct for a single MPU Region

## Field Documentation

ARM_MPU_Region_t::RASR

The region attribute and size register value (RASR), see ARM_MPU_RASR.

This value specifies region attributes and size. Use the ARM_MPU_RASR macro to compose this value.

uint32_t ARM_MPU_Region_t::RBAR

The region base address register value (RBAR)

Region Base Address Register value

This value specifies the start address of the MPU protected memory region. The address must be a multiple of the region size (size aligned).

See MPU_Type::RBAR for details about field bit format.

uint32_t ARM_MPU_Region_t::RLAR

Region Limit Address Register value